Skip to main content
PUT
https://api.dintero.com/v1
/
accounts
/
{oid}
/
management
/
accounts
/
{aid}
/
price-packages
aid_account_settings_price_packages_put
curl --request PUT \
  --url https://api.dintero.com/v1/accounts/{oid}/management/accounts/{aid}/price-packages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "price_packages": [
    {
      "price_package_id": "<string>"
    }
  ]
}
'
{
  "price_packages": [
    {
      "price_package_id": "<string>"
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

remove_default_price_package
boolean
default:false

Remove default price package from the partner configuration of the partner account.

Please note that in order for the default price package to be successfully removed, both this query parameter needs to be set and the default_price_package in the request body needs to be empty or undefined—otherwise, a new default price package might be added.

Body

application/json
price_packages
object[]
required
default_price_package
string

Default price package to assign to new merchants.

Use the price package ID of the price package.

Please note that the price package must exist and the price package ID must be included in the price_packages array.

Response

List of price packages

price_packages
object[]
required
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
Last modified on May 12, 2026